//
//  UpnpDevice.h
//  uPnp2
//
//  Created by rk on 3/01/11.
//  Copyright 2011 Interchart. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "UpnpDeviceInfo.h"

typedef enum UpnpDeviceType {
	Undefined = 0,
	Renderer,
	Server
} UpnpDeviceType;



@interface UpnpDevice : NSObject {
	UpnpDeviceType _deviceType; // Type of device
	NSURL *_url; // URL of the device
	NSURLConnection *_connectionInProgress;
	NSMutableData *_readData;
	UpnpDeviceInfo *_deviceInfo;
}

@property (nonatomic) UpnpDeviceType _deviceType;
@property (nonatomic, retain) NSURL *_url;
@property (nonatomic, retain) NSMutableData *_readData;	
@property (nonatomic, retain) UpnpDeviceInfo *_deviceInfo;


- (id) init;
- (void) dealloc;

- (void) fetchDeviceInfo;
- (NSString *) _requestResponse;

@end
